
DEV3 - Bug # 2998

Status: Resolved Priority: Must have
Author: Christoph Blömer Category: New Package Wizard (FLOW3)
Created: 2009-03-30 Assigned To: David Bruehlmeier
Updated: 2010-10-20 Due date:
Subject: Adjust Templates to new Namespace Syntax
Description

DEV3 1.1.0 is running fine on Eclipse Galileo with PDT 2.1M6.
This version supports now namespaces from PHP5.3.

When creating a package the Default template shows

F3_TestPackage_Controller_Default

But it should be
 namespace F3\TestPackage\Controller;
and 
 class DefaultController extends...

Associated revisions
Revision 1209 - 2009-09-09 09:09 - Andreas Wolf

Fixed bug #2998 - Adjust Templates to new Namespace Syntax

Also fixed wrong name for view base class (AbstractView instead of
Abstract)

Revision 1209 - 2009-09-09 09:09 - Andreas Wolf

Fixed bug #2998 - Adjust Templates to new Namespace Syntax

Also fixed wrong name for view base class (AbstractView instead of
Abstract)

History
#1 - 2009-04-02 09:28 - David Bruehlmeier
- Status changed from New to Accepted

#2 - 2009-09-09 10:00 - Andreas Wolf
- Status changed from Accepted to Resolved
- % Done changed from 0 to 100

Applied in changeset r1209.
